Vulnerability in WhatsApp: These devices are in need of an update


WhatsApp is one of the most well-known messengers for smartphones currently on the market. For many, WhatsApp is a fast and easy way to send messages, pictures and videos. Since Messenger is one of the most popular, new updates and new features are added . However, it is always the target of hackers . Even with the last version, there were problems.

Vulnerability in WhatsApp due to missing update

If no new   update is made by WhatsApp  , there will be a security vulnerability in the software. Due to this error, third parties can access the smartphone and even crash it completely. Facebook , to which the messenger WhatsApp belongs, reported in a short text that the problem exists.

Either attackers could crash the smartphone or install applications unnoticed. According to  mimikama.at  , it is possible that a hacker vulnerability in the software system could  trigger a “buffer overflow” in the WhatsApp code with a manipulated mp4 file. This sends a large number of requests to the device, which makes it slow and vulnerable to attack, and therefore vulnerable.

When that happens, the hacker can access the actual locked storage contents, silently install and run programs. In the worst case, the smartphone crashes. It is a so-called DoS or RCE problem. WhatsApp has ever had problems due to the unauthorized access of hackers to data.

The following WhatsApp versions on smartphones need an update

  • Android versions before 2.19.274
  • iOS versions before 2.19.100
  • Enterprise client versions prior to 2.25.3
  • Windows Phone versions before and including 2.18.368
  • Buisness for Android versions before 2.19.104
  • Buisness for iOS versions 2.19.100

Facebook therefore recommends keeping WhatsApp always on the latest update . The update that caused the issues was November 14, 2019. This is not the first time an update has resolved issues with WhatsApp.